# pboted

pboted (Plus Bote Daemon) - это реализация самостоятельного клиента для протокола I2P-Bote на языке програмирования C++.

I2P-Bote - это бессерверный, основанный на [распределённой хеш-таблице Kademlia](https://ru.wikipedia.org/wiki/%D0%A0%D0%B0%D1%81%D0%BF%D1%80%D0%B5%D0%B4%D0%B5%D0%BB%D1%91%D0%BD%D0%BD%D0%B0%D1%8F_%D1%85%D0%B5%D1%88-%D1%82%D0%B0%D0%B1%D0%BB%D0%B8%D1%86%D0%B0), протокол обмена зашифрованными сообщениями электронной почты.   
Вы можете найти больше деталей о протоколе в секции [Bote](bote/v5/version5.md).

Взаимодействие с сетью осуществляется через API интерфейс I2P маршрутизатора [SAMv3](https://geti2p.net/ru/docs/api/samv3).
Совместимость проверена на I2P маршрутизаторах [i2pd](https://github.com/PurpleI2P/i2pd) и [Java I2P](https://github.com/i2p/i2p.i2p).

## Alpha

Обратите внимание, что **pboted** версии **0.7.X** всё ещё на стадии **alpha**.
В течении этого периода при релизах могут происходить значительные изменения со стороны приложения.

Переход на стадию **beta** планируется в версии **0.9.X**.

## Функционал

- Отправка и получение электронной почты
- Поддержка коротких имён получателя (псевдонимов)
- [Сквозное шифрование](bote/v5/cryptography/)
- Запуск и работа в качестве UNIX-демона
- [CLI утилита](https://github.com/polistern/pbotectl) (в процессе разработки)
- Поддержка SMTP / POP3 (проверено с [Mozilla Thunderbird](https://www.thunderbird.net/en-US/))

## Планируемый функционал

- Настраиваемые почтовые директории по идентичностям/пользователям
- Анонимная отправка писем
- Подтверждение доставки
- Отправка и получение писем через реле (подобно Mixmaster)
- Интерфейсы для взаимодействия со сторонними приложениямы (IMAP, etc.)

## Ресурсы

- [Документация](https://pboted.readthedocs.io/ru/latest/)
- [Заявки/Вопросы](https://github.com/polistern/pboted/issues)
