# Bootstrap

Since **pboted** is a decentralized application, it needs to get information about nodes in the network to get started.    
There are 2 possibilities for this:

- `[bootstrap]` section in config file
- `nodes.txt` and `peers.txt` files in application directory (usualy `~/.pboted/` or `/var/lib/pboted/`)

## `[bootstrap]` section

!!! note "Note"

    The example configuration file has already added recommended nodes for bootstrap

This option will be used only at the very first launch of the application, when file `nodex.txt` and `peers.txt` has not yet been generated.    
If `nodex.txt` and `peers.txt` files exists, then these option will be ignored. 

!!! note "Note"

    You can remove `nodes.txt` and `peers.txt` files while **pboted** is stopped.
    In this case `[bootstrap]` section will be readed from configuration file.

To use this option, you need in the configuration file:

- Add `[bootstrap]` section
- Under the section add known nodes addresses for bootstrap
- Start **pboted**

For example:

```
[bootstrap]
## Bootstrap operators;
## Each line should be a I2P destination key in Base64 format. Lines beginning with # are ignored.
# My friend
address = jlOVAO2A~gM0qjbQaZQa0~OZYHwBrbc5ohUilIfsRITM1s~RxP6HoV8FKQl~mEM2Q9gPeWFW29xGP1qy-n~-aL70LUVSIba3rTwiQGpb5smvD4zxExCw~yQM0w28LOodu1yZ5xtDVljP0uruRCqZvARbP7bB8uJKJ7NPlmBsai9jIvrZFug-AbPZJKzvKsCbdCvkDivxIFFjJ9273PYogHPN1lkJZp1cPHVuU-wjEJlwVvxZb9dh3oC5m4AGoOY7SRbjbep1lnv4Zq8eEcEoTsDq77EBzwXlOMDOIB4NIW3ZxK8EJKEP-XcnDHZXUKx2R6~wGqsyaJd1uK3Tt-1M5S6AAeMSkNEuKWEdo0ugtuBRbgK9Iej0eVCQA05Y4Ysd7F1B5YJ3OC9JQnodXzhhtJa~ednw7yhOJoyvxWFDWKnA72zactlXksczn9rbxY3xHMtkezWw4lJmg1d-9sTlHEBsRhqVrEvUFdIuYljgX7YcqAWNAjpA8FzLqYijmz~7BQAEAAcAAA==
# John Doe
address = -Ab-xrc2~XR4sbi2xuGCXESkJg4G9AHLuiVLUcHXL-vL6kBCgVnytZ0rxTcNSaRTEbNZVsa8AfKeBhZp~S5kRqOa2w-OPVY4taa45ZaEdk2nHlRWn2htmzNE4fpB5VXemTHS3x-muKDfEbVf8XGPLFu2RvjlXOLDiuNC3Qa3GeZjbYcjJS-O14gLEZLaytNnU01ng3a8dt8U1EsdYmD4CnKTF-vRixgV5H8Z1KMVeTqxREUJtPYqKKVaW-E8I~JILU6nmn0FZuHPniFLCCoKGA4TbfklYNeoSOC~r4j-YbzwP6jAC9LStHpopy315YPAfF2xXt7f6C~7H47sSE6csum9PTNsBiC3evGETQsFEaJBug1TCcDWaDMcRiOOUuYkIPFdiVirSE91iBLCZX0bwVzS5xdCBQ1g-tiVa-uxCM5U7kvdt~usCU-m6Dl8t6JpHlT~1oXDRJ838K8ajUZRXc-fhOgVTnruWmsiyNWGkTbXu0QHY7F0ijJ9bq87kROPBQAEAAcAAA==

```

## `nodes.txt` and `peers.txt`

!!! warning "Warning"

    Do not edit `nodes.txt` and `peers.txt` files while **pboted** is running as it will be overwritten.

!!! note "Note"

    Duplicate addresses in `nodes.txt` and `peers.txt` files will be ignored when starting **pboted**.
    Nodes will be added in one instance.

If you want to add nodes to `nodes.txt` and `peers.txt` yourself, then just add them, save the files, and than start **pboted**.

```
# Each line is one Base64-encoded I2P destination.
# Do not edit this file while pbote is running as it will be overwritten.

jlOVAO2A~gM0qjbQaZQa0~OZYHwBrbc5ohUilIfsRITM1s~RxP6HoV8FKQl~mEM2Q9gPeWFW29xGP1qy-n~-aL70LUVSIba3rTwiQGpb5smvD4zxExCw~yQM0w28LOodu1yZ5xtDVljP0uruRCqZvARbP7bB8uJKJ7NPlmBsai9jIvrZFug-AbPZJKzvKsCbdCvkDivxIFFjJ9273PYogHPN1lkJZp1cPHVuU-wjEJlwVvxZb9dh3oC5m4AGoOY7SRbjbep1lnv4Zq8eEcEoTsDq77EBzwXlOMDOIB4NIW3ZxK8EJKEP-XcnDHZXUKx2R6~wGqsyaJd1uK3Tt-1M5S6AAeMSkNEuKWEdo0ugtuBRbgK9Iej0eVCQA05Y4Ysd7F1B5YJ3OC9JQnodXzhhtJa~ednw7yhOJoyvxWFDWKnA72zactlXksczn9rbxY3xHMtkezWw4lJmg1d-9sTlHEBsRhqVrEvUFdIuYljgX7YcqAWNAjpA8FzLqYijmz~7BQAEAAcAAA==
-Ab-xrc2~XR4sbi2xuGCXESkJg4G9AHLuiVLUcHXL-vL6kBCgVnytZ0rxTcNSaRTEbNZVsa8AfKeBhZp~S5kRqOa2w-OPVY4taa45ZaEdk2nHlRWn2htmzNE4fpB5VXemTHS3x-muKDfEbVf8XGPLFu2RvjlXOLDiuNC3Qa3GeZjbYcjJS-O14gLEZLaytNnU01ng3a8dt8U1EsdYmD4CnKTF-vRixgV5H8Z1KMVeTqxREUJtPYqKKVaW-E8I~JILU6nmn0FZuHPniFLCCoKGA4TbfklYNeoSOC~r4j-YbzwP6jAC9LStHpopy315YPAfF2xXt7f6C~7H47sSE6csum9PTNsBiC3evGETQsFEaJBug1TCcDWaDMcRiOOUuYkIPFdiVirSE91iBLCZX0bwVzS5xdCBQ1g-tiVa-uxCM5U7kvdt~usCU-m6Dl8t6JpHlT~1oXDRJ838K8ajUZRXc-fhOgVTnruWmsiyNWGkTbXu0QHY7F0ijJ9bq87kROPBQAEAAcAAA==

```
