# Начальная загрузка

Так как **pboted** имеет распределёную структуру, ему необходима информация о других узлах сети для первого старта.  
Есть 2 возможности для указания узлов для начальной загрузки:

- Секция `[bootstrap]` в конфигурационном файле
- Файлы `nodes.txt` и `peers.txt` в директории приложения (обычно `~/.pboted/` или `/var/lib/pboted/`)

## Секция `[bootstrap]`

!!! note "Примечание"

    В примере конфигурационного файла уже добавлены рекомендуемые узлы для начальной загрузки

Эта опция может быть использована при первом запуске приложения, когда файлы `nodex.txt` и `peers.txt` ещё созданы.    
Если файлы `nodex.txt` и `peers.txt` уже существуют, то секция в конфигурационном файле будет пропущена.

!!! note "Примечание"

    Вы можете удалить файл `nodes.txt` и `peers.txt` когда **pboted** остановлен.
    В таком случае параметры из секции `[bootstrap]` будут прочитаны повторно.

Для использования этой опции Вам необходимо:

- Добавить в файл конфигурации секцию `[bootstrap]`
- Под началом секции добавить доверенные узлы для начальной загрузки
- Запустить **pboted**

Например:

```
[bootstrap]
## Bootstrap operators;
## Each line should be a I2P destination key in Base64 format. Lines beginning with # are ignored.
# My friend
address = jlOVAO2A~gM0qjbQaZQa0~OZYHwBrbc5ohUilIfsRITM1s~RxP6HoV8FKQl~mEM2Q9gPeWFW29xGP1qy-n~-aL70LUVSIba3rTwiQGpb5smvD4zxExCw~yQM0w28LOodu1yZ5xtDVljP0uruRCqZvARbP7bB8uJKJ7NPlmBsai9jIvrZFug-AbPZJKzvKsCbdCvkDivxIFFjJ9273PYogHPN1lkJZp1cPHVuU-wjEJlwVvxZb9dh3oC5m4AGoOY7SRbjbep1lnv4Zq8eEcEoTsDq77EBzwXlOMDOIB4NIW3ZxK8EJKEP-XcnDHZXUKx2R6~wGqsyaJd1uK3Tt-1M5S6AAeMSkNEuKWEdo0ugtuBRbgK9Iej0eVCQA05Y4Ysd7F1B5YJ3OC9JQnodXzhhtJa~ednw7yhOJoyvxWFDWKnA72zactlXksczn9rbxY3xHMtkezWw4lJmg1d-9sTlHEBsRhqVrEvUFdIuYljgX7YcqAWNAjpA8FzLqYijmz~7BQAEAAcAAA==
# John Doe
address = -Ab-xrc2~XR4sbi2xuGCXESkJg4G9AHLuiVLUcHXL-vL6kBCgVnytZ0rxTcNSaRTEbNZVsa8AfKeBhZp~S5kRqOa2w-OPVY4taa45ZaEdk2nHlRWn2htmzNE4fpB5VXemTHS3x-muKDfEbVf8XGPLFu2RvjlXOLDiuNC3Qa3GeZjbYcjJS-O14gLEZLaytNnU01ng3a8dt8U1EsdYmD4CnKTF-vRixgV5H8Z1KMVeTqxREUJtPYqKKVaW-E8I~JILU6nmn0FZuHPniFLCCoKGA4TbfklYNeoSOC~r4j-YbzwP6jAC9LStHpopy315YPAfF2xXt7f6C~7H47sSE6csum9PTNsBiC3evGETQsFEaJBug1TCcDWaDMcRiOOUuYkIPFdiVirSE91iBLCZX0bwVzS5xdCBQ1g-tiVa-uxCM5U7kvdt~usCU-m6Dl8t6JpHlT~1oXDRJ838K8ajUZRXc-fhOgVTnruWmsiyNWGkTbXu0QHY7F0ijJ9bq87kROPBQAEAAcAAA==

```

## `nodes.txt` и `peers.txt`

!!! warning "Внимание"

    Не редактируйте `nodes.txt` и `peers.txt` пока **pboted** запущен, иначе они будут перезаписаны.

!!! note "Примечание"

    Повторы I2P адресов в файлах `nodes.txt` и `peers.txt` будут проигнорированы при старте **pboted**.
    Узлы будут добавлены в одном экземпляре.

Если Вы хотите добавить доверенные узлы в `nodes.txt` и `peers.txt` самостоятельно, то можете просто добавить их, сохранить файлы и запустить **pboted**.

```
# Each line is one Base64-encoded I2P destination.
# Do not edit this file while pbote is running as it will be overwritten.

jlOVAO2A~gM0qjbQaZQa0~OZYHwBrbc5ohUilIfsRITM1s~RxP6HoV8FKQl~mEM2Q9gPeWFW29xGP1qy-n~-aL70LUVSIba3rTwiQGpb5smvD4zxExCw~yQM0w28LOodu1yZ5xtDVljP0uruRCqZvARbP7bB8uJKJ7NPlmBsai9jIvrZFug-AbPZJKzvKsCbdCvkDivxIFFjJ9273PYogHPN1lkJZp1cPHVuU-wjEJlwVvxZb9dh3oC5m4AGoOY7SRbjbep1lnv4Zq8eEcEoTsDq77EBzwXlOMDOIB4NIW3ZxK8EJKEP-XcnDHZXUKx2R6~wGqsyaJd1uK3Tt-1M5S6AAeMSkNEuKWEdo0ugtuBRbgK9Iej0eVCQA05Y4Ysd7F1B5YJ3OC9JQnodXzhhtJa~ednw7yhOJoyvxWFDWKnA72zactlXksczn9rbxY3xHMtkezWw4lJmg1d-9sTlHEBsRhqVrEvUFdIuYljgX7YcqAWNAjpA8FzLqYijmz~7BQAEAAcAAA==
-Ab-xrc2~XR4sbi2xuGCXESkJg4G9AHLuiVLUcHXL-vL6kBCgVnytZ0rxTcNSaRTEbNZVsa8AfKeBhZp~S5kRqOa2w-OPVY4taa45ZaEdk2nHlRWn2htmzNE4fpB5VXemTHS3x-muKDfEbVf8XGPLFu2RvjlXOLDiuNC3Qa3GeZjbYcjJS-O14gLEZLaytNnU01ng3a8dt8U1EsdYmD4CnKTF-vRixgV5H8Z1KMVeTqxREUJtPYqKKVaW-E8I~JILU6nmn0FZuHPniFLCCoKGA4TbfklYNeoSOC~r4j-YbzwP6jAC9LStHpopy315YPAfF2xXt7f6C~7H47sSE6csum9PTNsBiC3evGETQsFEaJBug1TCcDWaDMcRiOOUuYkIPFdiVirSE91iBLCZX0bwVzS5xdCBQ1g-tiVa-uxCM5U7kvdt~usCU-m6Dl8t6JpHlT~1oXDRJ838K8ajUZRXc-fhOgVTnruWmsiyNWGkTbXu0QHY7F0ijJ9bq87kROPBQAEAAcAAA==

```
