# Словарь терминов

## Почтовое назначение

Как следует из названия, `Почтовое назначение` — это идентификатор, с помощью которого можно связаться с кем-либо через I2P-Bote.

## Почтовый адрес

`Почтовый адрес` в I2P-Bote это сокращение для `Почтового назначения`.  
Соответствия для `Почтовый адрес`<-->`Почтовое назначение` хранятся в нескольких местах:

- локальная адресная книга;
- распределённая адресная книга (Контакты).

## Почтовая идентичность

`Почтовая идентичность` — это `Почтовое назначение` и имя, под которым вы хотите, чтобы вас знали при использовании этого идентификатора.   
С технической точки зрения, идентификатор электронной почты состоит из четырех элементов:

* Два публичных ключа `Почтового назначения`;
* Два приватных ключа `Почтового назначения`;
* Публичное имя, которое подставляется в почту и доступно другим пользователям;
* Описание, которое доступно только Вам (заметка, которая позволит Вам различать `Почтовые идентичности`).

`Почтовая идентичность` не требуется для отправки электронных писем (в этом случае в поле «отправитель» можно установить только «Анонимный»).

## I2P назначение

Адрес I2P-Bote узла в сети I2P. Обычно у Вас не должно возникать необходимости знать или использовать где либо.   
Хранится в файле `destination.key` в рабочей директории приложения.  
`I2P назначение` и `Почтовое назначение` близки по смыслу, но между собой не пересекаются и друг от друга не зависят.

## Узел

Полнофункциональный узел, который способен обрабатывать запросы на хранение, получени, удаление, и т.д.  
По `I2P назначениям` этих узлов определяется "близость" узлов к DHT-ключам.

## Реле (Пир)

Узел с большой доступностью в течении ближайшего времени (не менее 18 часов за последние 24 часа).  
Используются как посредники для анонимизированой передачи пакетов к `Узлам`.
