# Использование

На данный момент для работы с **pboted** Вам понадобятся утилиты из репозитория [pboted-tools](https://github.com/polistern/pboted-tools/).   
В ближайщем будущем этот функционал будет реализован в виде [CLI утилиты](https://github.com/polistern/pbotectl).

Вы можете использовать Ваши `Почтовые идентичности` из **Java Bote** только в следующих случаях:

- Адрес сгенерирован по алгоритму из списка ниже (другие на данный момент не поддерживаются):
    - `ECDH-256/ECDSA-256/AES-256/SHA-256`
    - `ECDH-521/ECDSA-521/AES-256/SHA-512` 
- Файл с конфигурацией идентичностей не зашифрован (шифрование на данный момент не доступно).

## Создание Bote идентичности

Смотри [create_identity](https://github.com/polistern/pboted-tools/tree/main/create_identity)

## Отправка писем

!!! note "Примечание"

    После успешной отправки файл письма будет модифицирован и перемещён в директорию `sent`

- Любой MIME файл с корректными `FROM` и `TO` в директории `outbox` будет отправляться
- После первоначальной обработки в файл будут добавлены заголовки:
    - `X-HashCash`
    - `X-I2PBote-Signature`
- После успешной отправки в файл будут добавлены заголовки:
    - `X-I2PBote-DHT-Key`
    - `X-I2PBote-Delete-Auth-Hash`
- Файл будет перемещён в директорию `sent`

### Через SMTP

!!! note "Примечание"

    При отправке через SMTP также будет создан MIME файл в директории `outbox`

Смотри [SMTP](../tutorials/SMTP.md)

### Через директорию `outbox`

- Подготовьте простое тестовое сообщение
- Форматируйте его в [message_formatter](https://github.com/polistern/pboted-tools/tree/main/message_formatter)
- Положите файл в директорию `outbox` в рабочей директории **pboted**
- **pboted** сам обнаружит новое письмо в `outbox` и отправит его

## Получение писем

После запуска с коректными идентичностями приложение начнёт процедуру поиска для них писем.

### Через директорию `inbox`

Если письмо для одной из идентичностей было найдено, оно будет помещено в директорию `inbox` как простой текстовый файл.

### Через POP3

Смотри [POP3](../tutorials/POP3.md)
